Bug 1130094 - Could add/configure server to an invaild nickname but can't use it
Summary: Could add/configure server to an invaild nickname but can't use it
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1108459
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 10:27 UTC by Gaoyun Pei
Modified: 2017-01-13 22:19 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1108459
Environment:
Last Closed: 2017-01-13 22:19:43 UTC


Attachments (Terms of Use)

Description Gaoyun Pei 2014-08-14 10:27:39 UTC
This issue also exist in rhc-1.29.3.1-1.el6op.noarch.

Actually, this bug even could be reproduced with nickname beginning with number, such as "12", "1server", these names only contain alphanumeric characters.

[root@dhcp-129-188 workspace]# rhc server use 12
Invalid URI specified: 12

[root@dhcp-129-188 workspace]# rhc server show --server 1server
Invalid URI specified: 1server


+++ This bug was initially created as a clone of Bug #1108459 +++

Description of problem:
Could add/configure server to an invaild nickname but can't use it.
When use the nickname, will show "Invalid URI specified: <invaild-nickname>"


Version-Release number of selected component (if applicable):
rhc build from fork_ami_origin_ui_180_1204

How reproducible:
always

Steps to Reproduce:
1.Add a server and set to an invaild name , like "@#@"
2.Use this server with the nickname
3.

Actual results:

step1:
$ rhc server add  stg.openshift.redhat.com  "@#@" -l xiuwang@redhat.com --skip-wizard
Saving server configuration to /home/wxj/.openshift/servers.yml ... done

step 2:
$ rhc server use  '@#@'
Invalid URI specified: @#@
[wxj@wangxiuj .openshift]$ rhc server configure "@#@" --nickname cad
Invalid URI specified: @#@
$ rhc server show --server "@#@"
Invalid URI specified: @#@


Expected results:
Should not add/configure server to invaild nickname.

Additional info:

--- Additional comment from XiuJuan Wang on 2014-06-16 05:45:04 EDT ---

Could reproduce this bug in rhc build from fork_ami_origin_ui_180_1209

Comment 1 Vu Dinh 2016-01-06 16:47:46 UTC
Possibly related to this bug #1119618
Link <bug https://bugzilla.redhat.com/show_bug.cgi?id=1119618>

Comment 2 Rory Thrasher 2017-01-13 22:19:43 UTC
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/


Note You need to log in before you can comment on or make changes to this bug.